
Redmine - Feature #10293

improve readability of subject changed message

2012-02-22 15:21 - Gerry Hawkins

Status: New Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Currently the subject change message has no punctuation nor different font or styling. I think this makes it hard to parse at a quick

glance.

Changing it slightly to something like:

Subject changed from 'this is a bug' to 'this is a really bad bug!'

I don't find the formatting of other change notices to be as problematic most likely since the before and after values are typically short

and fit into a normal sentence structure.

e.g. Assignee changed from Bob McKenzie to Doug McKenzie

History

#1 - 2012-02-22 20:40 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2024-11-15 09:49 - Go MAEDA

- File clipboard-202411151734-pnoyj.png added

- File clipboard-202411151739-we2pk.png added

In GitHub Issues, when a title is changed, the previous title is displayed with a strikethrough (see the screenshot below).

 clipboard-202411151734-pnoyj.png 

Similarly, in Redmine, displaying previous values with a strikethrough would make it easier to visually distinguish past values. This functionality is

consistent with the existing behavior of displaying deleted values, such as showing a strikethrough on the original assignee when the assignee is

changed to none, making it a natural extension of the current feature.

This can be achieved with minimal code changes as shown below.

diff --git a/app/helpers/issues_helper.rb b/app/helpers/issues_helper.rb

index dc5b894e5..85781fa3d 100644

--- a/app/helpers/issues_helper.rb

+++ b/app/helpers/issues_helper.rb

@@ -609,7 +609,7 @@ module IssuesHelper

     unless no_html

       label = content_tag('strong', label)

       old_value = content_tag("i", h(old_value)) if detail.old_value

-      if detail.old_value && detail.value.blank? && detail.property != 'relation'

+      if detail.old_value && detail.property != 'relation'

         old_value = content_tag("del", old_value)

       end

       if detail.property == 'attachment' && value.present? &&

  clipboard-202411151739-we2pk.png 

Files

clipboard-202411151734-pnoyj.png 42 KB 2024-11-15 Go MAEDA

clipboard-202411151739-we2pk.png 64.5 KB 2024-11-15 Go MAEDA
